# Ubuntu-it website source code
# Copyright (C) 2015 Pietro Albini
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import setuptools


setuptools.setup(

    name = "uitwww",
    version = "1",
    url = "http://www.ubuntu-it.org",

    license = "GNU-GPL v3",

    author = "Ubuntu-it website team",
    author_email = "gruppo-web@liste.ubuntu-it.org",

    description = "Source code of the ubuntu-it website",

    install_requires = [
        "click",
        "flask",
        "flask-openid",
        "gunicorn",
        "itsdangerous",
        "pyyaml",
        "requests",
        "toml",
        "django-htmlmin",
    ],

    packages = [
        "uitwww",
        "uitwww.third_party"
    ],

    entry_points = {
        "console_scripts": [
            "uitwww = uitwww.main:cli",
        ],
    },

    include_package_data = True,
    zip_safe = False,

    classifiers = [
        "Not on PyPI"
    ],

)
